#include "core/anime_season.h"

namespace Anime {

/* MAL has a different idea of seasons than Kitsu/AniList
 * prepare ahead of time for this discrepancy. */
SeriesSeason GetSeasonForMonth(Date::Month month) {
	switch (month) {
		case Date::Month::Jan: case Date::Month::Feb: case Date::Month::Mar:
		default:
			return SeriesSeason::Winter;
		case Date::Month::Apr: case Date::Month::May: case Date::Month::Jun:
			return SeriesSeason::Spring;
		case Date::Month::Jul: case Date::Month::Aug: case Date::Month::Sep:
			return SeriesSeason::Summer;
		case Date::Month::Oct: case Date::Month::Nov: case Date::Month::Dec:
			return SeriesSeason::Fall;
	}
}

}
